Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 22-10-2012 20:04:17

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] Souci de dépendances iceweasel

Bizarre, sur mon PC, j'ai ça :

# aptitude install -s iceweasel
Les NOUVEAUX paquets suivants vont être installés :
  iceweasel
0 paquets mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 118 ko d'archives. Après dépaquetage, 4 092 ko seront utilisés.
Charger/installer/enlever des paquets.
# aptitude install -s -t squeeze-backports iceweasel
Les NOUVEAUX paquets suivants vont être installés :
  iceweasel libmozjs10d{a} libnss3{a} libvpx1{a} xulrunner-10.0{a}
Les paquets suivants seront mis à jour :
  libcairo2 libnss3-1d libpixman-1-0 libsqlite3-0
4 paquets mis à jour, 5 nouvellement installés, 0 à enlever et 74 non mis à jour.
Il est nécessaire de télécharger 15,4 Mo d'archives. Après dépaquetage, 38,2 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  libpixman-1-dev: Dépend: libpixman-1-0 (= 0.16.4-1) mais 0.24.0-1~bpo60+1 doit être installé.
  libcairo2-dev: Dépend: libcairo2 (= 1.8.10-6) mais 1.10.2-7~bpo60+1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :
1)     libcairo2-dev                
2)     libgtk2.0-dev                
3)     libpango1.0-dev              
4)     libpixman-1-dev


Il me suffirait de virer les 4 dev ...
Je ne vois pas sad , je passe la main


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#27 22-10-2012 23:05:06

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [Résolu] Souci de dépendances iceweasel

Salut Yvance77,

Tout d'abord désolé de t'avoir fait faire des conneries, j'ai déjà fais cette manip' des dizaines de fois sans accroc... D'après ton message #21, il ne reste que le paquet libnss3 qui bloque... que donne cette commande :

apt-get install -s -t squeeze-backports libnss3-1d



(cette fois-ci je t'ai rajouté le paramètre -s pour entrer en mode simulation)

Message #21 toujours, tu dis que ça s'est bien passé sur ton propre ordi : tu as changé quelque chose dans ta manière d'installer Debian entre ton ordi et les portables ?


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#28 23-10-2012 05:20:37

Yvance77
Membre
Lieu : Nice - Monaco
Distrib. : Mint 14 Nadia sur Netbook & PC
Noyau : Mignon tout plein
(G)UI : Mate
Inscription : 22-05-2012

Re : [Résolu] Souci de dépendances iceweasel

mani a écrit :

apt-get install -s -t squeeze-backports libnss3-1d



Salut,

Voici le résultat de la commande :


root@debver:/home/verdan# apt-get install -s -t squeeze-backports libnss3-1d
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  libnss3
Les NOUVEAUX paquets suivants seront installés :
  libnss3
Les paquets suivants seront mis à jour :
  libnss3-1d
1 mis à jour, 1 nouvellement installés, 0 à enlever et 113 non mis à jour.
Inst libnss3-1d [3.12.8-1+squeeze5] (2:3.13.6-1~bpo60+1 Debian Backports:squeeze-backports [i386]) []
Inst libnss3 (2:3.13.6-1~bpo60+1 Debian Backports:squeeze-backports [i386])
Conf libnss3 (2:3.13.6-1~bpo60+1 Debian Backports:squeeze-backports [i386])
Conf libnss3-1d (2:3.13.6-1~bpo60+1 Debian Backports:squeeze-backports [i386])
root@debver:/home/verdan#





mani a écrit :

Message #21 toujours, tu dis que ça s'est bien passé sur ton propre ordi : tu as changé quelque chose dans ta manière d'installer Debian entre ton ordi et les portables ?



Non j'ai procédé de la même façon, mais c'est allé tout seul sur mon pc je n'ai pas eu de souci avec xulrunner 16.0 à mettre à jour etc...

Pour finir, pas de souci pour la perte j'ai refait à la main et voilà tout

Merci de ton aide.

Dernière modification par Yvance77 (23-10-2012 05:33:10)


A trop faire de l'économie un idéal, nous faisons l'économie de l'Idéal !

Hors ligne

#29 23-10-2012 05:42:58

Yvance77
Membre
Lieu : Nice - Monaco
Distrib. : Mint 14 Nadia sur Netbook & PC
Noyau : Mignon tout plein
(G)UI : Mate
Inscription : 22-05-2012

Re : [Résolu] Souci de dépendances iceweasel

Re,

Les noisettes un peu contritent je me suis demandé si je devais me lancer et faire la commande de nani en vrai. Et puis c'est parti, et j'ai enfin « iceweasel » d'installé propre dans sa dernière mouture.

Merci à tous pour vos aides précieuses. Je fignole le portable du frangin et cela fera toujours une personne en moins chez la concurrence daubienne !

root@debver:/home/verdan# apt-get install -t squeeze-backports libnss3-1d
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  libnss3
Les NOUVEAUX paquets suivants seront installés :
  libnss3
Les paquets suivants seront mis à jour :
  libnss3-1d
1 mis à jour, 1 nouvellement installés, 0 à enlever et 113 non mis à jour.
Il est nécessaire de prendre 19,5 ko/966 ko dans les archives.
Après cette opération, 1 701 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Réception de : 1 http://backports.debian.org/debian-backports/ squeeze-backports/main libnss3-1d i386 2:3.13.6-1~bpo60+1 [19,5 kB]
19,5 ko réceptionnés en 0s (22,9 ko/s)
Lecture des fichiers de modifications (« changelog »)... Terminé
(Lecture de la base de données... 134257 fichiers et répertoires déjà installés.)
Préparation du remplacement de libnss3-1d 3.12.8-1+squeeze5 (en utilisant .../libnss3-1d_2%3a3.13.6-1~bpo60+1_i386.deb) ...
Dépaquetage de la mise à jour de libnss3-1d ...
Sélection du paquet libnss3 précédemment désélectionné.
Dépaquetage de libnss3 (à partir de .../libnss3_2%3a3.13.6-1~bpo60+1_i386.deb) ...
Paramétrage de libnss3 (2:3.13.6-1~bpo60+1) ...
Paramétrage de libnss3-1d (2:3.13.6-1~bpo60+1) ...


root@debver:/home/verdan# aptitude install -t squeeze-backports iceweasel
Les NOUVEAUX paquets suivants vont être installés :
  iceweasel xulrunner-16.0{a}
0 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 113 non mis à jour.
Il est nécessaire de télécharger 0 o/12,4 Mo d'archives. Après dépaquetage, 33,3 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
Sélection du paquet xulrunner-16.0 précédemment désélectionné.
(Lecture de la base de données... 134265 fichiers et répertoires déjà installés.)
Dépaquetage de xulrunner-16.0 (à partir de .../xulrunner-16.0_16.0.1-1~bpo60+1_i386.deb) ...
Sélection du paquet iceweasel précédemment désélectionné.
Dépaquetage de iceweasel (à partir de .../iceweasel_16.0.1-1~bpo60+1_i386.deb) ...
Ajout de « détournement de /usr/bin/firefox en /usr/bin/firefox.real par iceweasel »
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « desktop-file-utils »...
Traitement des actions différées (« triggers ») pour « gnome-menus »...
Traitement des actions différées (« triggers ») pour « hicolor-icon-theme »...
Traitement des actions différées (« triggers ») pour « menu »...
Paramétrage de xulrunner-16.0 (16.0.1-1~bpo60+1) ...
Paramétrage de iceweasel (16.0.1-1~bpo60+1) ...
Traitement des actions différées (« triggers ») pour « menu »...
                                             
root@debver:/home/verdan#
 

Dernière modification par Yvance77 (23-10-2012 06:03:44)


A trop faire de l'économie un idéal, nous faisons l'économie de l'Idéal !

Hors ligne

#30 23-10-2012 07:33:17

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] Souci de dépendances iceweasel

Content pour toi smile , même si je ne comprends pas tout :
Mon FF 14.0.1 fonctionne sans libnss3 et avec la libnspr4-0d 4.8.6-1 de main !

Deux poids, deux mesures ? mad

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#31 23-10-2012 13:48:38

Yvance77
Membre
Lieu : Nice - Monaco
Distrib. : Mint 14 Nadia sur Netbook & PC
Noyau : Mignon tout plein
(G)UI : Mate
Inscription : 22-05-2012

Re : [Résolu] Souci de dépendances iceweasel

paskal a écrit :

Content pour toi smile , même si je ne comprends pas tout :
Mon FF 14.0.1 fonctionne sans libnss3 et avec la libnspr4-0d 4.8.6-1 de main !

Deux poids, deux mesures ? mad



Salut paskal

Moi ce que j'aimerai surtout pigé (et ce fut soulevé à juste propos par nani) c'est pourquoi sur mon pc c'est allé comme une lettre à la poste et sur les deux portables suivants ce fut une galère insondable.

Et à deux semaines d'intervalles pas plus.

Du reste celui de ma copine Natacha cela me fait penser qu'il faut que je lui termine la config d'iceweasel big_smile


A trop faire de l'économie un idéal, nous faisons l'économie de l'Idéal !

Hors ligne

#32 23-10-2012 17:01:13

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : [Résolu] Souci de dépendances iceweasel

Salut,

Bon au final c'est passé, c'est principal, reste que je ne peux pas te dire pourquoi ça t'a tout viré au milieu (et surtout comment tu as pu réinstaller ce qui était parti sans avoir à supprimer ce qui avait tout viré... c'est kafkaïen ce truc !). J'ai dû faire la manip' une bonne 50aine de fois (via un script), et je n'ai jamais rencontré ce problème... hmm

@paskal : Je disais précédemment qu'il me semblait que ce problème était apparu avec Iceweasel 12 ou 13, mais c'est peut-être avec la 15 en fait, je ne sais plus.

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

Pied de page des forums